Billing Migrations

Cancels the active subscription for the given customer or account and switches them to threshold (postpaid) billing. This is a destructive, irreversible operation and requires explicit confirmation.


Migrate a customer or account from subscription billing to threshold billing

Cancels the active subscription for the given customer or account and switches them to threshold (postpaid) billing. This is a destructive, irreversible operation and requires explicit confirmation.

Body parameters
customerstringoptional

ID of the customer to migrate. Mutually exclusive with account.

accountstringoptional

ID of the account to migrate. Mutually exclusive with customer.

confirmedstringoptional

Must be the boolean true to confirm the destructive migration. The request is rejected if omitted or false.

Returns

Migration succeeded. Returns the billing migration log record.

POST/v1/billing/billing_migration
curl --request POST \
  --url https://api.framepayments.com/v1/billing/billing_migration \
  --header 'Authorization: Bearer API_KEY'
RESPONSE
{
  "id": null,
  "object": "billing_migration_log",
  "from_billing_type": "subscription",
  "to_billing_type": "threshold",
  "subscription": null,
  "customer": null,
  "account": null,
  "migrated_at": 0,
  "created": 0
}